# array File Reference

## Detailed Description

This is a TR1 C++ Library header.

Definition in file array.

Go to the source code of this file.

## Namespaces

- namespace std
- namespace std::tr1

## Classes

- struct std::tr1::array< _Tp, _Nm >
    NB: Requires complete type _Tp. More...
- struct std::tr1::tuple_element< _Int, array< _Tp, _Nm > >
- struct std::tr1::tuple_size< array< _Tp, _Nm > >

## Defines

- #define _TR1_ARRAY

## Functions

- template<int _Int, typename _Tp, std::size_t _Nm> const _Tp & std::tr1::get (const array< _Tp, _Nm > &__arr)
- template<int _Int, typename _Tp, std::size_t _Nm> _Tp & std::tr1::get (array< _Tp, _Nm > &__arr)
- template<typename _Tp, std::size_t _Nm> bool std::tr1::operator!= (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
- template<typename _Tp, std::size_t _Nm> bool std::tr1::operator< (const array< _Tp, _Nm > &__a, const array< _Tp, _Nm > &__b)
- template<typename _Tp, std::size_t _Nm> bool std::tr1::operator<= (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
- template<typename _Tp, std::size_t _Nm> bool std::tr1::operator== (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
- template<typename _Tp, std::size_t _Nm> bool std::tr1::operator> (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
- template<typename _Tp, std::size_t _Nm> bool std::tr1::operator>= (const array< _Tp, _Nm > &__one, const array< _Tp, _Nm > &__two)
- template<typename _Tp, std::size_t _Nm> void std::tr1::swap (array< _Tp, _Nm > &__one, array< _Tp, _Nm > &__two)